%define rel_name bk2010

Summary: Java Emulator for BK* computers
Name: bk-emu
Version: 0.5
Release: %mkrel 10
License: BSD
Group: Emulators
URL: https://bitbucket.org/alex_tishin/%{rel_name}_releases
BuildArchitectures: noarch
Requires: jre >= 1.6.0
Source0: https://bitbucket.org/alex_tishin/%{rel_name}_releases/downloads/%{rel_name}-%{version}-release.zip
Source1: %{name}
Source2: %{name}.png
Source3: %{name}.desktop
Source4: keyboard.ini
AutoReqProv: no

%description
A portable emulator of the Soviet-era home/educational computer BK0010 and
its successor BK0011M, written entirely in the Java programming language.
The emulator was written for Java by Alex Tishin.

%prep
%setup -q -n %{rel_name}
rm -f ./start.bat

%build
#nothing

%install
mkdir -p %{buildroot}/%{_javadir}/%{name}
cp -af *.jar %{buildroot}/%{_javadir}/%{name}
cp -af disks %{buildroot}/%{_javadir}/%{name}
cp -af roms %{buildroot}/%{_javadir}/%{name}
cp -af tapes %{buildroot}/%{_javadir}/%{name}
touch %{buildroot}/%{_javadir}/%{name}/config.ini
chmod 666 %{buildroot}/%{_javadir}/%{name}/config.ini
install -m 666 %{SOURCE4} %{buildroot}/%{_javadir}/%{name}/
mkdir -p %{buildroot}%{_bindir}
install -m 755 %{SOURCE1} %{buildroot}%{_bindir}/
mkdir -p %{buildroot}/%{_datadir}/pixmaps
cp -f %{SOURCE2} %{buildroot}/%{_datadir}/pixmaps
mkdir -p %{buildroot}/%{_datadir}/applications
install -m 644 %{SOURCE3} %{buildroot}/%{_datadir}/applications

%files
%doc *.txt
%{_javadir}/%{name}
%{_bindir}/%{name}
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop


%changelog
* Fri Feb 21 2020 umeabot <umeabot> 0.5-10.mga8
+ Revision: 1547862
- Mageia 8 Mass Rebuild

* Mon Feb 10 2020 shlomif <shlomif> 0.5-9.mga8
+ Revision: 1488558
- correct grammar

* Tue Sep 18 2018 umeabot <umeabot> 0.5-8.mga7
+ Revision: 1261837
- Mageia 7 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 0.5-7.mga7
+ Revision: 1260096
- Mageia 7 Mass Rebuild

* Tue Feb 09 2016 umeabot <umeabot> 0.5-6.mga6
+ Revision: 950991
- Mageia 6 Mass Rebuild

* Fri Nov 28 2014 alexl <alexl> 0.5-5.mga5
+ Revision: 799773
- new more detailed desktop file

* Wed Oct 15 2014 umeabot <umeabot> 0.5-4.mga5
+ Revision: 744192
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.5-3.mga5
+ Revision: 678166
- Mageia 5 Mass Rebuild

* Sun Apr 13 2014 alexl <alexl> 0.5-2.mga5
+ Revision: 613804
- used javadir instead of datadir (policy)

* Thu Apr 10 2014 alexl <alexl> 0.5-1.mga5
+ Revision: 613324
- imported package bk-emu

